
I had been in a dark depression for about a year and was preparing to commit suicide. I was tired of running away from my childhood and the damage that literally tore my soul apart. It is difficult to live on such a negative planet and I am a sensitive spirit.

To make a long story short, I had made my final decision to leave and I was at peace with my decision. From my perspective, at this life changing time, I was saving my children from myself. My anger was eating me alive and my children had to live in my hell as well.

The moment before I lost consciousness, I said/thought, to myself, ‘I am doing this to keep them safe.’ I left my body spontaneously. I went. I FLEW! Upon leaving my body, I shot through the Universe. I did not see a tunnel. I saw stars and galaxies while flying at what felt like the speed of light as I went towards the light. I did this each time this happened: four in total. When I reached the light, Time changed. I could not tell from the moment of leaving how long each of these experiences lasted, because there was no time. People refer to this as Heaven but when I arrived, I knew instantly that I was Home! It isn't a place; it's a vibration of Unconditional Love. There is NO Earthly terms to describe the Ecstasy felt upon arriving.

It's all Love! A spirit, who was cloaked in a burlap tunic with a large hood covering his face, met me. He was an ethereal form. We communicated by thought and feeling; there were no words. He led me to a healing room where other spirits were dressed the same way. As I lay down to be worked on, my soul was being infused with Love. Part of me went to a River that I ‘knew’ was the River of Life. It was beyond magical. I have always wanted to write a book called ‘The Color of Music’ because that is what this river was. Flowing Music that was every color on Earth and a lot more colors we can't see here, because of Earth’s density. I was hearing the Music of the Spheres during this whole time. It sings Love. It's Angelic and beyond description.

I was One with Everything and it was One with Me. Remembrance was flowing through my spirit body as my soul revival continued. I stepped into the River and became the Colors and the Music. I was filled with such Joy and Love, which had this happened on Earth, my physical body would not have been able to stand the electrical charge. The energy revival was overwhelming. That is why there is no time. So much is happening at once that I could only feel the experience.

As I started to leave I was given messages that were ringing loudly in music form, Singing from the Universe is the only way I can describe it. It was like, ‘Love is The Answer’ and ‘We are All Great and Powerful Souls who showed Great Courage in coming to Earth to help. Remember!’ The Knowledge I remembered has been difficult to keep to myself.

This was 17 years ago. My loving family deemed me a crazy person to ensure that I would never be believed about my childhood memories. The ‘New Age’ movement was at an early stage and I rarely encountered another person who had had a similar experience. Believe me, I searched and have searched since. This year I finally found my affirmation in a book called ‘The Afterlife of Billy Fingers’.
